#include <iostream>

using namespace std;

int main()
{
    int N,M;
    cin >> N >> M;
    int A[N],p[M][2];
    for(int i=0;i<N;i++)
        cin >> A[i];
    for(int i=0;i<M;i++)
        cin >> p[i][0] >> p[i][1];

    int bpu[N];
    for(int i=0;i<N;i++)
        bpu[i]=0;

    for(int i=0;i<M;i++)
        for(int j=0;j<2;j++)
            bpu[p[i][j]-1]+=1;

    int Sreca=0;
    for(int i=0;i<N;i++)
        if(A[i]<0)
            Sreca += A[i]*(0-bpu[i]);
        else Sreca += A[i]*(bpu[i]-0);
    cout << Sreca;
    return 0;
}